#ifndef FLYLINEEDIT_H
#define FLYLINEEDIT_H

#include <QLineEdit>

#include <fly/flyui_export.h>

class QToolButton;

class FLYUI_EXPORT FlyLineEdit : public QLineEdit
{
    Q_OBJECT

public:
    FlyLineEdit(QWidget *parent = 0);

protected:
    void resizeEvent(QResizeEvent *) Q_DECL_OVERRIDE;

private slots:
    void updateCloseButton(const QString &text);

private:
    QToolButton *clearButton;
};

#endif // LIENEDIT_H

